TTF_SetFontStyle(3)

NAME
TTF_SetFontStyle - Set a font's current style.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

void TTF_SetFontStyle(TTF_Font *font, TTF_FontStyleFlags style);

DESCRIPTION
This updates any TTF_Text
 objects using this font, and clears already-generated glyphs, if any, from the cache.

The font styles are a set of bit flags, OR'd together:

• TTF_STYLE_NORMAL (is zero)

• TTF_STYLE_BOLD

• TTF_STYLE_ITALIC

• TTF_STYLE_UNDERLINE

• TTF_STYLE_STRIKETHROUGH

FUNCTION PARAMETERS

font
    the font to set a new style on.

style
    the new style values to set, OR'd together.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontStyle(3)